package handlers

import (
	"git.odit.services/lfk/document-server/models"
	"git.odit.services/lfk/document-server/services"
	"github.com/gofiber/fiber/v2"
)

type Handler interface {
	GenerateCard(*fiber.Ctx) error
	GenerateContract(*fiber.Ctx) error
	GenerateCertificate(*fiber.Ctx) error
	GenerateBarcode(*fiber.Ctx) error
}

type DefaultHandler struct {
	Config         *models.Config
	BarcodeService services.BarcodeService
	Templater      services.Templater
	Converter      services.Converter
	StaticService  services.StaticService
}
